/**
 * BLOCK: Responsive Blocks Buttons
 */

// Import block dependencies and components
import Edit from "./components/edit";
import Save from "./components/save";

// Import CSS
import "./styles/style.scss";

// Internationalization
const { __ } = wp.i18n;

// Register block
const { registerBlockType } = wp.blocks;

// Register the block
registerBlockType("responsive-block-editor-addons/buttons-child", {
  title: __("Buttons Child", "responsive-block-editor-addons"),
  description: __(
    "Add buttons to group together.",
    "responsive-block-editor-addons"
  ),
  icon: "button",
  parent: ["responsive-block-editor-addons/buttons"],
  category: "responsive_block_editor_addons",
  keywords: [
    __("buttons", "responsive-block-editor-addons"),
    __("multiple buttons", "responsive-block-editor-addons"),
    __("responsive", "responsive-block-editor-addons"),
  ],
  attributes: {
    buttonAlignment: {
      type: "string",
      default: "center",
    },
    fontFamily: {
      type: "string",
      default: "Default",
    },
    fontWeight: {
      type: "string",
    },
    fontSubset: {
      type: "string",
    },
    label: {
      type: "string",
      default: "#Click Here",
    },
    link: {
      type: "string",
      default: "",
    },
    target: {
      type: "string",
      default: "_blank",
    },
    iconsize: {
      type: "number",
      default: 16,
    },
    counterId: {
      type: "string",
      default: 1,
    },
    vPadding: {
      type: "number",
      default: 10,
    },
    hPadding: {
      type: "number",
      default: 14,
    },
    vMargin: {
      type: "number",
      default: 10,
    },
    hMargin: {
      type: "number",
      default: 14,
    },
    borderWidth: {
      type: "number",
      default: 1,
    },
    borderRadius: {
      type: "number",
      default: 2,
    },
    borderStyle: {
      type: "string",
      default: "solid",
    },
    borderColor: {
      type: "string",
    },
    borderHColor: {
      type: "string",
    },
    color: {
      type: "string",
    },
    background: {
      type: "string",
    },
    hColor: {
      type: "string",
    },
    sizeType: {
      type: "string",
      default: "px",
    },
    sizeMobile: {
      type: "number",
      default: "",
    },
    sizeTablet: {
      type: "number",
      default: "",
    },
    lineHeight: {
      type: "number",
      default: "",
    },
    lineHeightType: {
      type: "string",
      default: "em",
    },
    lineHeightMobile: {
      type: "number",
      default: "",
    },
    lineHeightTablet: {
      type: "number",
      default: "",
    },
    opensInNewTab: {
      type: "boolean",
    },
    colorLocation1: {
      type: "number",
      default: 0,
    },
    colorLocation2: {
      type: "number",
      default: 100,
    },
    gradientDirection: {
      type: "number",
      default: 90,
    },
    backgroundColor1: {
      type: "string",
    },
    backgroundColor2: {
      type: "string",
      default: "#fff",
    },
    opacity: {
      type: "number",
      default: 100,
    },
    icon: {
      type: "string",
      default: "",
    },
    iconPosition: {
      type: "string",
      default: "after",
    },
    buttonFontSize: {
      type: "number",
    },
    buttonLineHeight: {
      type: "number",
    },
    boxShadowColor: {
      type: "string",
    },
    boxShadowHOffset: {
      type: "number",
      default: 0,
    },
    boxShadowVOffset: {
      type: "number",
      default: 0,
    },
    boxShadowBlur: {
      type: "number",
    },
    boxShadowSpread: {
      type: "number",
    },
    boxShadowPosition: {
      type: "string",
      default: "outset",
    },
    icon_color: {
      type: "string",
      default: "#3a3a3a",
    },
    hbackground: {
      type: "string",
    },
    iconSpace: {
      type: "number",
      default: 8,
    },
    buttonFontWeight: {
      type: "string",
      default: "400",
    },
    inheritFromTheme: {
      type: "boolean",
      default: false,
    },
    hoverEffect: {
      type: "string",
    },
    backgroundType: {
      type: "string",
      default: "none",
    },
  },
  responsive_block_editor_addons_settings_data: {
    responsive_block_editor_addons_button_buttonAlignment: {
      title: __("Alignment", "responsive-block-editor-addons"),
    },
  },

  /* Render the block in the editor. */
  edit: (props) => {
    return <Edit {...props} />;
  },

  /* Save the block markup. */
  save: (props) => {
    return <Save {...props} />;
  },
});
