/**
 * BLOCK: Responsive Blocks Buttons
 */

// Import block dependencies and components
import Edit from "./components/edit";
import Save from "./components/save";

// Import CSS
import "./styles/style.scss";

// Internationalization
const { __ } = wp.i18n;

// Register block
const { registerBlockType } = wp.blocks;

// Register the block
registerBlockType("responsive-block-editor-addons/icons-list-child", {
  title: __("Icons List Child", "responsive-block-editor-addons"),
  description: __("Add list of icons.", "responsive-block-editor-addons"),
  icon: "list-view",
  category: "responsive_block_editor_addons",
  parent: ["responsive-block-editor-addons/icons-list"],
  keywords: [
    __("icons", "responsive-block-editor-addons"),
    __("list", "responsive-block-editor-addons"),
    __("responsive", "responsive-block-editor-addons"),
  ],
  attributes: {
    label: {
      selector: ".responsive-block-editor-addons-icon-list__label",
      default: "#Label",
    },
    image_icon: {
      type: "string",
      default: "icon",
    },
    hideLabel: {
      type: "boolean",
      default: false,
    },
    icon: {
      type: "string",
      default: "fab fa-arrow-circle-right",
    },
    image: {
      type: "object",
    },
    icon_color: {
      type: "string",
      default: "#3a3a3a",
    },
    label_color: {
      type: "string",
    },
    icon_hover_color: {
      type: "string",
    },
    label_hover_color: {
      type: "string",
    },
    icon_bg_color: {
      type: "string",
    },
    icon_bg_hover_color: {
      type: "string",
    },
    icon_border_color: {
      type: "string",
    },
    icon_border_hover_color: {
      type: "string",
    },
    link: {
      type: "string",
      default: "#",
    },
    target: {
      type: "boolean",
      default: false,
    },
    disableLink: {
      type: "boolean",
      default: true,
    },
    counterId: {
      type: "string",
      default: 1,
    },
    source_type: {
      type: "string",
      default: "icon",
    },
  },
  responsive_block_editor_addons_settings_data: {
    responsive_block_editor_addons_icon_icon: {
      title: __("Icon", "responsive-block-editor-addons"),
    },
    responsive_block_editor_addons_icon_label_color: {
      title: __("Text Color", "responsive-block-editor-addons"),
    },
    responsive_block_editor_addons_icon_icon_color: {
      title: __("Icon Color", "responsive-block-editor-addons"),
    },
    responsive_block_editor_addons_icon_icon_bg_color: {
      title: __("Icon Background Color", "responsive-block-editor-addons"),
    },
    responsive_block_editor_addons_icon_icon_border_color: {
      title: __("Icon Border Color", "responsive-block-editor-addons"),
    },
  },

  /* Render the block in the editor. */
  edit: (props) => {
    return <Edit {...props} />;
  },

  /* Save the block markup. */
  save: (props) => {
    return <Save {...props} />;
  },
});
