/**
 * BLOCK: Responsive Blocks Pricing Table
 */

// Import block dependencies and components
import Edit from "./components/edit";
import Save from "./components/save";

// Import CSS
import "./styles/style.scss";
import "./styles/styles.editor.scss";

// Internationalization
const { __ } = wp.i18n;
const ITEM_COUNT = 2;

const pricingTable = [];

for (var i = 1; i <= ITEM_COUNT; i++) {
  pricingTable.push({
    title: "Plan " + i,
    amount: "",
    currency: "$",
    price_suffix: ".00",
    sub_price: "SUB PRICE",
    features: "",
    img_url: "",
    img_id: "",
    img_width: "",
    img_height: "",
    button: "Button" + i,
    buttonURL: "#",
  });
}

// Register block
const { registerBlockType } = wp.blocks;

// Register the block
registerBlockType("responsive-block-editor-addons/pricing-table", {
  title: __("Pricing Table", "responsive-block-editor-addons"),
  description: __(
    "This block allows you to add pricing tables.",
    "responsive-block-editor-addons"
  ),
  icon: "welcome-widgets-menus",
  category: "responsive_block_editor_addons",
  keywords: [
    __("pricing", "responsive-block-editor-addons"),
    __("plans", "responsive-block-editor-addons"),
    __("responsive", "responsive-block-editor-addons"),
  ],
  attributes: {
    pricingTable: {
      type: "array",
      default: pricingTable,
    },
    count: {
      type: "number",
      default: ITEM_COUNT,
    },
    gutter: {
      type: "string",
      default: "medium",
    },
    contentAlign: {
      type: "string",
      default: "center",
    },
    textColor: {
      type: "string",
    },
    titleColor: {
      type: "string",
    },
    prefixColor: {
      type: "string",
    },
    priceColor: {
      type: "string",
    },
    suffixColor: {
      type: "string",
    },
    subpriceColor: {
      type: "string",
    },
    featuresColor: {
      type: "string",
    },
    itemBackgroundColor: {
      type: "string",
    },
    blockBorderStyle: {
      type: "string",
      default: "none",
    },
    blockBorderWidth: {
      type: "number",
      default: 1,
    },
    blockBorderRadius: {
      type: "number",
      default: 0,
    },
    blockBorderColor: {
      type: "string",
    },
    sectionTag: {
      type: "string",
      default: "section",
    },
    opacity: {
      type: "number",
      default: 30,
    },
    blockBackColorOpacity: {
      type: "number",
      default: 100,
    },
    columnBackColorOpacity: {
      type: "number",
      default: 100,
    },
    colorLocation1: {
      type: "number",
      default: 0,
    },
    colorLocation2: {
      type: "number",
      default: 100,
    },
    gradientDirection: {
      type: "number",
      default: 90,
    },
    backgroundImage: {
      type: "string",
    },
    backgroundColor: {
      type: "string",
    },
    backgroundColor1: {
      type: "string",
    },
    backgroundColor2: {
      type: "string",
      default: "#fff",
    },
    backgroundType: {
      type: "string",
      default: "none",
    },
    blockopacity: {
      type: "number",
      default: 30,
    },
    blockcolorLocation1: {
      type: "number",
      default: 0,
    },
    blockcolorLocation2: {
      type: "number",
      default: 100,
    },
    blockgradientDirection: {
      type: "number",
      default: 90,
    },
    blockbackgroundImage: {
      type: "string",
    },
    blockbackgroundColor: {
      type: "string",
    },
    blockbackgroundColor1: {
      type: "string",
    },
    blockbackgroundColor2: {
      type: "string",
      default: "#fff",
    },
    blockbackgroundType: {
      type: "string",
      default: "none",
    },
    boxShadowColor: {
      type: "string",
    },
    boxShadowHOffset: {
      type: "number",
      default: 0,
    },
    boxShadowVOffset: {
      type: "number",
      default: 0,
    },
    boxShadowBlur: {
      type: "number",
      default: 20,
    },
    boxShadowSpread: {
      type: "number",
      default: 20,
    },
    boxShadowPosition: {
      type: "string",
      default: "outset",
    },
    buttonBoxShadowColor: {
      type: "string",
    },
    buttonBoxShadowHOffset: {
      type: "number",
      default: 0,
    },
    buttonBoxShadowVOffset: {
      type: "number",
      default: 0,
    },
    buttonBoxShadowBlur: {
      type: "number",
      default: 20,
    },
    buttonBoxShadowSpread: {
      type: "number",
      default: 20,
    },
    buttonBoxShadowPosition: {
      type: "string",
      default: "outset",
    },
    ctaColor: {
      type: "string",
      default: "#ffffff",
    },
    ctaBackColor: {
      type: "string",
      default: "#3f46ae",
    },
    ctaHoverColor: {
      type: "string",
      default: "#ffffff",
    },
    ctaHoverBackColor: {
      type: "string",
      default: "#3f46ae",
    },
    ctaBorderColor: {
      type: "string",
      default: "#333",
    },
    ctaBorderStyle: {
      type: "string",
      default: "none",
    },
    ctaBorderRadius: {
      type: "number",
      default: 0,
    },
    ctaBorderWidth: {
      type: "number",
      default: 2,
    },
    ctaHpadding: {
      type: "number",
      default: 30,
    },
    ctaVpadding: {
      type: "number",
      default: 15,
    },
    buttonbackgroundType: {
      type: "string",
      default: "color",
    },
    buttoncolorLocation1: {
      type: "number",
      default: 0,
    },
    buttoncolorLocation2: {
      type: "number",
      default: 100,
    },
    buttongradientDirection: {
      type: "number",
      default: 90,
    },
    buttonbackgroundColor1: {
      type: "string",
    },
    buttonbackgroundColor2: {
      type: "string",
      default: "#fff",
    },
    buttonHbackgroundType: {
      type: "string",
      default: "color",
    },
    buttonHcolorLocation1: {
      type: "number",
      default: 0,
    },
    buttonHcolorLocation2: {
      type: "number",
      default: 100,
    },
    buttonHgradientDirection: {
      type: "number",
      default: 90,
    },
    buttonHbackgroundColor1: {
      type: "string",
    },
    buttonHbackgroundColor2: {
      type: "string",
      default: "#fff",
    },
    titleFontSize: {
      type: "number",
    },
    titleFontWeight: {
      type: "string",
    },
    titleLineHeight: {
      type: "number",
    },
    amountFontSize: {
      type: "number",
    },
    amountFontWeight: {
      type: "string",
    },
    amountLineHeight: {
      type: "number",
    },
    subpriceFontSize: {
      type: "number",
    },
    subpriceFontWeight: {
      type: "string",
    },
    subpriceLineHeight: {
      type: "number",
    },
    prefixFontSize: {
      type: "number",
    },
    prefixFontWeight: {
      type: "string",
    },
    prefixLineHeight: {
      type: "number",
    },
    suffixFontSize: {
      type: "number",
    },
    suffixFontWeight: {
      type: "string",
    },
    suffixLineHeight: {
      type: "number",
    },
    featuresFontSize: {
      type: "number",
    },
    featuresFontWeight: {
      type: "string",
    },
    featuresLineHeight: {
      type: "number",
    },
    ctaFontSize: {
      type: "number",
    },
    ctaFontWeight: {
      type: "string",
    },
    ctaLineHeight: {
      type: "number",
    },
    blockTopPadding: {
      type: "number",
      default: 0,
    },
    blockBottomPadding: {
      type: "number",
      default: 0,
    },
    blockLeftPadding: {
      type: "number",
      default: 0,
    },
    blockRightPadding: {
      type: "number",
      default: 0,
    },
    columnTopPadding: {
      type: "number",
      default: 64,
    },
    columnBottomPadding: {
      type: "number",
      default: 64,
    },
    columnLeftPadding: {
      type: "number",
      default: 24,
    },
    columnRightPadding: {
      type: "number",
      default: 24,
    },
    showTitle: {
      type: "boolean",
      default: true,
    },
    showPrefix: {
      type: "boolean",
      default: true,
    },
    showPrice: {
      type: "boolean",
      default: true,
    },
    showSuffix: {
      type: "boolean",
      default: true,
    },
    showSubprice: {
      type: "boolean",
      default: true,
    },
    showFeatures: {
      type: "boolean",
      default: true,
    },
    showButton: {
      type: "boolean",
      default: true,
    },
    buttonTarget: {
      type: "boolean",
      default: false,
    },
    titleSpace: {
      type: "number",
    },
    priceSpace: {
      type: "number",
      default: 0,
    },
    subpriceSpace: {
      type: "number",
      default: 0,
    },
    buttonSpace: {
      type: "number",
    },
    featuresSpace: {
      type: "number",
    },
    blockAlign: {
      type: "string",
      default: "center",
    },
    imageWidth: {
      type: "number",
    },
    imageSize: {
      type: "string",
      default: "full",
    },
    imageShape: {
      type: "string",
    },
  },

  /* Render the block in the editor. */
  edit: (props) => {
    return <Edit {...props} />;
  },

  /* Save the block markup. */
  save: (props) => {
    return <Save {...props} />;
  },
});
